{%  extends "pessoas/base.html" %}
{%  load meus_filtros %}
{%  block title %}
Listagem de Pessoas
{%  endblock title %}

{%  block content %}

<h1 class="display-4">Lista de Pessoas</h1> <br><br>
  <form method="post"  >
        {% csrf_token %}
        <div class="form-group">
            <label> {{ form.nome.errors }} Buscar por nome ou ra: </label>
            {{ form.nome |addclass:'form-control' }}
        </div>

  </form>
<br>
<div class="container">
<table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Foto</th>
                <th>Nome</th>
                <th>Curso</th>
                <th>RA</th>
                <th>Status</th>
                <th>Açoes</th>
            </tr>
        </thead>
        <tbody>
        {% for i in pessoas %}
            <tr>

                <td><a href="{% url 'listar_pessoa_id' i.id %}" >{{i.id}} </a></td>

                {% if i.foto is None %}
                 <td><a href="{% url 'listar_pessoa_id' i.id %}" > <img src='/media/{{ i.foto }}' width="70px" height="84px">  </a></td>
                {% endif %}

                {% if i.foto is not None %}
                 <td><a href="{% url 'listar_pessoa_id' i.id %}" > <img src='/media/{{ i.foto }}' width="70px" height="84px">  </a></td>
                {% endif %}


                <td><a href="{% url 'listar_pessoa_id' i.id %}" >{{i.nome}} </a></td>
                <td><a href="{% url 'listar_pessoa_id' i.id %}" >{{i.curso}} </a> </td>
                <td><a href="{% url 'listar_pessoa_id' i.id %}" >{{i.ra}} </a> </td>
                <td><a href="{% url 'listar_pessoa_id' i.id %}" >{{i.status}} </a> </td>
                {% if perms.global_permissions.pode_acessar_pagina_config %}
                <td><a href="{% url 'editar_pessoa' i.id %}" class="btn btn-warning"> Editar </a>
                <a href="{% url 'remover_pessoa' i.id %}" class="btn btn-danger"> Remover </a>
                {% endif %}
                </td>

            </tr>
         {% endfor %}

        </tbody>

    </table>
</div>

    <div>
    <a href="{% url 'cadastrar_pessoas' %}" ><button class="btn btn-success"> Cadastrar</button></a>
     <a href="{{ request.META.HTTP_REFERER }}" class="btn btn-primary"> Voltar</a>
     </div>
{%  endblock content %}